:root {
  --primary-color: #1a75ff;
  --surface-color: #ffffff;
  --text-color: #000000de;
  --md-shadow: 0px 2px 6px 2px rgba(0, 0, 0, 0.15);
  --agm-form-padding-left: 20px;
  --agm-form-padding-right: 20px;
  --agm-main-height: 300px;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font-family: "Roboto", sans-serif;
  display: block;
  position: relative;
  overflow: hidden;
}
.container {
  width: 98%;
  max-width: 1200px;
  margin: 0px auto;
  position: relative;
  height: auto;
  min-height: 40px;
}

.shadow-1 {
  box-shadow:
    0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.24);
}

.shadow-2 {
  box-shadow:
    0 3px 6px rgba(0, 0, 0, 0.16),
    0 3px 6px rgba(0, 0, 0, 0.23);
}

.app-bar {
  background: var(--primary-color);
  color: #e6f2ff;
  padding: 12px 20px;
  margin-bottom: 30px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  display: flex;
}

.md-btn {
  border: none;
  min-width: 0px;
  background: white;
  color: forestgreen;
  margin-top: 0px;
  margin-bottom: 0px;
  position: relative;
  width: 40px;
  height: 40px;
  overflow: hidden;
}

.md-btn:hover {
  cursor: pointer;
  color: blue;
}

.app-bar .md-toggle-button {
  border: none;
  min-width: 0px;
  background: var(--primary-color);
  color: #e6f2ff;
  margin-top: 0px;
  margin-bottom: 0px;
  position: relative;
  width: 40px;
  height: 40px;
  overflow: hidden;
}

.app-bar .md-toggle-button:hover {
  cursor: pointer;
  color: white;
}

.md-ripple {
  position: fixed;
  background: rgba(255, 255, 255, 0.3);
  border-radius: 50%;
  transform: scale(0);
  animation: md-ripple-animation 0.6s linear;
  pointer-events: none;
  z-index: 1000;
}

.md-ripple-2 {
  position: absolute;
  background: rgba(255, 255, 255, 0.3);
  border-radius: 50%;
  transform: scale(0);
  animation: md-ripple-animation 0.6s linear;
  pointer-events: none;
  z-index: 10;
}

.md-smooth-appearing {
  animation: mdAppearanceForm 1.2s ease-out forwards;
}

.md-fade-out {
  opacity: 1;
  animation: mdFadeOut 1.2s ease-out forwards;
}

.md-horizontal-scrollbar {
  -webkit-appearance: none;
  appearance: none;
  top: 10px;
  left: 0px;
  position: absolute;
  width: 800px;
  height: 10px;
  min-height: 10px;
  background: white;
  outline: none;
  opacity: 0.7;
  border-radius: 0px;
  -webkit-transition: 0.2s;
  transform: rotate(90deg);
  transition: opacity 0.2s;
}

.md-horizontal-scrollbar::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 30px;
  height: 10px;
  min-height: 10px;
  background: #b3b3b3;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.2s;
}
.md-horizontal-scrollbar::-webkit-slider-thumb:hover {
  background: #0056b3;
  transform: scale(1.1);
}

@keyframes md-ripple-animation {
  to {
    transform: scale(2);
    opacity: 0;
  }
}

@keyframes mdAppearanceForm {
  0% {
    filter: blur(15px); /* Mờ đậm */
    opacity: 0; /* Trong suốt */
    transform: scale(0.9); /* Thu nhỏ nhẹ (tùy chọn) */
  }
  100% {
    filter: blur(0); /* Rõ nét */
    opacity: 1; /* Hiện rõ */
    transform: scale(1); /* Về kích thước chuẩn */
  }
}

@keyframes mdFadeOut {
  0% {
    filter: blur(0); /* Rõ nét */
    opacity: 1; /* Hiện rõ */
    transform: scale(1); /* Về kích thước chuẩn */
  }
  100% {
    filter: blur(15px); /* Mờ đậm */
    opacity: 0; /* Trong suốt */
    transform: scale(0.9); /* Thu nhỏ nhẹ (tùy chọn) */
  }
}
